/***************************************************************************
 *            main.c
 *
 *  Sun Dec 26 16:04:04 2004
 *  Copyright  2004  Ian McIntosh
 *  ian_mcintosh@linuxadvocate.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <gtk/gtk.h>
#include <glib/gi18n.h>

#include "../include/prefs.h"
#include "../include/gui.h"

/***************************************************************
 	Functions
****************************************************************/

gchar* make_hex_triplet(GdkColor* pColor)
{
	static gchar buffer[10];
	g_snprintf(buffer, 10, "#%02X%02X%02X", (int)((pColor->red / 256L)), (int)((pColor->green / 256L)), (int)((pColor->blue / 256L)));
	return g_strdup(buffer);
}

int main (int argc, char *argv[])
{
	#ifdef ENABLE_NLS
		bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
		textdomain (PACKAGE);
	#endif

	/* Library init */
	gnome_init(PACKAGE, VERSION, argc, argv);

	/* Load up our GUI */
	gui_init();

	/* Load in preferences */
	prefs_init(argc, argv);
	prefs_read();

	/* fill unused font list with all fonts */
	gui_populate_unused_font_list();

	gui_show();

	gtk_main();
	return 0;
}
